{
  "name": "to-do-list",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@hookform/resolvers": "^3.3.4",
    "@testing-library/jest-dom": "^5.14.1",
    "@testing-library/react": "^13.0.0",
    "@testing-library/user-event": "^13.2.1",
    "@types/node": "^16.7.13",
    "@types/react": "^18.0.0",
    "@types/react-dom": "^18.0.0",
    "@types/yup": "^0.32.0",
    "antd": "^5.14.2",
    "axios": "^1.6.7",
    "react": "^18.2.0",
    "react-bootstrap-icons": "^1.11.3",
    "react-dom": "^18.2.0",
    "react-hook-form": "^7.50.1",
    "react-scripts": "5.0.1",
    "styled-components": "^6.1.8",
    "swr": "^2.2.5",
    "typescript": "^4.4.2",
    "web-vitals": "^2.1.0",
    "yup": "^1.3.3"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "@babel/preset-env": "^7.23.9",
    "@types/jest": "^29.5.12",
    "@types/mocha": "^10.0.6",
    "@types/styled-components": "^5.1.34",
    "babel-jest": "^29.7.0",
    "jest": "^27.5.1",
    "jest-styled-components": "^7.2.0"
  },
  "jest": {
    "transformIgnorePatterns": [
      "node_modules\/(?!axios)"
    ],
    "moduleNameMapper": {
      "@hooks(.*)$": "<rootDir>/src/hooks/$1"
    }
  }
}